Subject: bug#70815: [PATCH] ; Enahnce python-tests.el to adapt different python interpreters

From: kobarity <[email-masked]>
Date: Mon, 03 Jun 2024 23:34:16 +0900

Mattias Engdegård wrote:
> 2 juni 2024 kl. 15.20 skrev kobarity <[email-masked]>:
> > 1. Set EMACS_PYTHON_INTERPRETER environment variable to "python" and
> >   run ERTs.  The expectation is that the 7 ERTs that previously
> >   resulted in errors will be skipped.
> 
> With EMACS_PYTHON_INTERPRETER=python3 or unset
> 
>   SKIPPED  python-shell-completion-at-point-ipython
>   SKIPPED  python-shell-completion-at-point-jedi-completer
> 
> With EMACS_PYTHON_INTERPRETER=python
> 
>   SKIPPED  python-completion-at-point-1
>   SKIPPED  python-completion-at-point-2
>   SKIPPED  python-completion-at-point-native-1
>   SKIPPED  python-completion-at-point-native-2
>   SKIPPED  python-completion-at-point-native-with-eldoc-1
>   SKIPPED  python-completion-at-point-native-with-ffap-1
>   SKIPPED  python-shell-completion-at-point-1
>   SKIPPED  python-shell-completion-at-point-ipython
>   SKIPPED  python-shell-completion-at-point-jedi-completer

Thanks, this is as expected.

> > 2. Revert 9c7de10079 and run ERTs.  The expectation is that the 7 ERTs
> >   that previously failed will succeed.
> 
> No, they still fail:
> 
> 7 unexpected results:
>    FAILED  python-completion-at-point-1
>    FAILED  python-completion-at-point-2
>    FAILED  python-completion-at-point-native-1
>    FAILED  python-completion-at-point-native-2
>    FAILED  python-completion-at-point-native-with-eldoc-1
>    FAILED  python-completion-at-point-native-with-ffap-1
>    FAILED  python-shell-completion-at-point-1
> 
> 2 skipped results:
>   SKIPPED  python-shell-completion-at-point-ipython
>   SKIPPED  python-shell-completion-at-point-jedi-completer

Maybe I did not make the right request.  What I wanted you to try was
to make the following changes after applying my patch in the previous
email.

diff --git a/test/lisp/progmodes/python-tests.el b/test/lisp/progmodes/python-tests.el
index 970ec32bc0c..77b30f8bdbc 100644
--- a/test/lisp/progmodes/python-tests.el
+++ b/test/lisp/progmodes/python-tests.el
@@ -3770,7 +3770,7 @@ python-tests-get-shell-interpreter
             ;; Use the same order as for the default value of
             ;; `python-shell-interpreter'.
             (delq nil (mapcar #'python-tests--get-interpreter-info
-                              '("python3" "python" "python2"))))))
+                              '("python" "python3" "python2"))))))
   (cl-some (or pred #'car) python-tests-shell-interpreters))

 (defun python-tests--get-interpreter-info (name)

If you have tried it this way, could you tell me what the value of
`python-tests-shell-interpreters' is?

> > Apple seems to have removed Python 2 in 2022 MacOS 12.3.  Is your
> > Python 2 installed with brew or something else? Or is it an old Apple
> > one?
> 
> It's the standard setup of an older version of macOS (the hardware of that machine can't run 12.3).

I understood.